DCMTK - Bug #626

VR Checker does not permit empty component groups including component delimiters
2015-03-12 12:44 - Michael Onken

Status: Closed Start date: 2015-03-12
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.1

Module: dcmdata Compiler:

Operating System:

Description

The VR checker does not accept names (here: anonymized) of the form "Unspecified MM =AMAMSANMAT though such a name is valid
DICOM.

History

#1 - 2015-03-12 13:12 - J6rg Riesmeier
- Category set to Library
- Target version set to 3.6.1+

- Module set to demdata

A sample SR file that demonstrates this issue has been provided by a DCMTK user (see email "SR file for analysis" sent on 2015-02-12).

#2 - 2015-03-12 13:19 - Jorg Riesmeier

By the way, a PN value of " " is considered as incorrect while an LO value of " " is considered as correct. Both VRs do allow padding with a space
character " ". LO allows for leading and trailing spaces while PN only allows for trailing spaces (however, for each of the five components both leading
and trailing spaces are considered insignificant).

#3 - 2015-04-08 13:35 - JO6rg Riesmeier
Here is a proposed patch: http://sprunge.us/USBc?diff

#4 - 2015-04-16 11:50 - J6rg Riesmeier
- Assignee set to Jorg Riesmeier
- Target version changed from 3.6.1+ to 3.6.1

- % Done changed from 0 to 80

#5 - 2015-04-17 13:36 - JOrg Riesmeier
- Status changed from New to Closed

- % Done changed from 80 to 100

Fixed with commit 532d9e5.
